Deployments.ai Docs
Security

Turn on directory sync or change the role it grants provisioned members

PUT /v1/directory · SDK putDirectory · CLI deployments directory set

PUT
/v1/directory

Requires members:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
defaultRole*string
Value in"member""viewer"

Response Body

DirectoryResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
defaultRole*string
Value in"member""viewer"
scimBaseUrl*string
tokens*array<>
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X PUT "https://example.com/v1/directory" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "defaultRole": "member"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "defaultRole": "member",  "scimBaseUrl": "string",  "tokens": [    {      "createdAt": "2019-08-24T14:15:22Z",      "createdBy": "string",      "id": "string",      "tokenPrefix": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z"}